com.sun.j3d.utils.behaviors.vp

## Class WandViewBehavior.ScaleListener6D

- java.lang.Object
- - com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor
  - - com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
    - - com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ScaleListener6D

- All Implemented Interfaces:
    SensorButtonListener, SensorReadListener
  Enclosing class:
    WandViewBehavior

      public class WandViewBehavior.ScaleListener6D
      extends WandViewBehavior.ListenerBase

  Implements a 6DOF sensor button listener that scales the view platform. The center of scaling can be the sensor hotspot or a fixed location in virtual world coordinates.
  See Also:
    `WandViewBehavior.setButtonAction6D(int, int)`, `WandViewBehavior.setTransformCenterSource(int)`, `WandViewBehavior.setTransformCenter(javax.vecmath.Point3d)`, `WandViewBehavior.setScaleSpeed(double, int)`, `WandViewBehavior.setAccelerationTime(double)`

- - ### Field Summary

    - ### Fields inherited from class com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase

      `sensorToTracker, sensorToVworld, trackerToVworld, viewPlatformToVworld`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WandViewBehavior.ScaleListener6D(boolean reverse)` Construct a new scale button listener for a 6DOF sensor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragged(SensorEvent e)` This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation.
    `protected void` | `endAction(Sensor s)` Ends the action.
    `void` | `pressed(SensorEvent e)` This method is called when a sensor's button is pressed.

    - ### Methods inherited from class com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase

      `conditionViewScale, getPhysicalToViewPlatformScale, getPhysicalToVirtualScale, initAction, isActive, released, transformAboutCenter, translateTransform`

    - ### Methods inherited from class com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor

      `clicked, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WandViewBehavior.ScaleListener6D

          public WandViewBehavior.ScaleListener6D(boolean reverse)

      Construct a new scale button listener for a 6DOF sensor.
      Parameters:
        `reverse` - if true, scale the view platform smaller; otherwise, scale the view platform larger

  - ### Method Detail

    - #### endAction

          protected void endAction(Sensor s)

      Description copied from class: `WandViewBehavior.ListenerBase`
      Ends the action. Subclasses must be call this from `released` or when a 2D valuator enters the deadzone threshold.
      Overrides:
        `endAction` in class `WandViewBehavior.ListenerBase`
      Parameters:
        `s` - reference to a 6DOF sensor if used by the listener; may be `null`

    - #### pressed

          public void pressed(SensorEvent e)

      Description copied from interface: `SensorButtonListener`
      This method is called when a sensor's button is pressed.
      Specified by:
        `pressed` in interface `SensorButtonListener`
      Overrides:
        `pressed` in class `WandViewBehavior.ListenerBase`
      Parameters:
        `e` - the sensor event

    - #### dragged

          public void dragged(SensorEvent e)

      Description copied from interface: `SensorButtonListener`
      This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation. The sensor value has not necessarily changed from the last drag event.
      Specified by:
        `dragged` in interface `SensorButtonListener`
      Overrides:
        `dragged` in class `SensorInputAdaptor`
      Parameters:
        `e` - the sensor event

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.